TermsIndexReaderBase (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.blockterms, class: TermsIndexReaderBase

Package org.apache.lucene.codecs.blockterms

# Class TermsIndexReaderBase

java.lang.Object
org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `FixedGapTermsIndexReader`, `VariableGapTermsIndexReader`

public abstract class TermsIndexReaderBase extends Object implements Closeable
`BlockTermsReader` interacts with an instance of this class to manage its terms index. The writer must accept indexed terms (many pairs of BytesRef text + long fileOffset), and then this reader must be able to retrieve the nearest index term to a provided term text.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TermsIndexReaderBase.FieldIndexEnum`
  Similar to TermsEnum, except, the only "metadata" it reports for a given indexed term is the long fileOffset into the main terms dictionary file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermsIndexReaderBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `close()`
  `abstract TermsIndexReaderBase.FieldIndexEnum`
  `getFieldEnum(FieldInfo fieldInfo)`
  `abstract boolean`
  `supportsOrd()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TermsIndexReaderBase

    public TermsIndexReaderBase()

- ## Method Details

  - ### getFieldEnum

    public abstract TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)

  - ### close

    public abstract void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### supportsOrd

    public abstract boolean supportsOrd()